<template src="./show.htm"></template>

<script>

    import Vue from 'vue';
    import GetEntityMixin from '../../../mixins/entities/getEntityMixin.js';
    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import WarehouseInventoryDataTableComponent from '../../../datatable/custom/warehouseInventory/WarehouseInventoryDataTableComponent.vue';

    Vue.component('warehouse-inventory-data-table-component', WarehouseInventoryDataTableComponent);

    export default {

        mounted() {

            this.getEntityMixin('warehouses', this.$route.params.id, 'setWarehouse', false);
        },

        data() {

            return {}
        },

        mixins: [
            GetEntityMixin,
            breadcrumbsMixin
        ],

        computed: {

            warehouse() {

                return this.$store.state.warehouse;
            }
        }
    }

</script>